/*	Author:		Magdin Stoica
	Supervisor: Dr. Ryan Leduc
	
	Project created in conformity with the requirements for the Degree of Master of Engineering in Software Engineering, 
	Computing and Software Department, 
	McMaster University
	2003 - 2007
*/

#pragma once

#include <QMainWindow>
#include "DespotForm.h"


namespace DESpot
{

class MainForm;
class ProjectEditor;
class EventPoolWorkspace;

class EventPoolForm: public QMainWindow, public DespotForm
{
	Q_OBJECT

	public:
		EventPoolForm(MainForm* pMainForm, ProjectEditor* projEditorOwner);
		virtual ~EventPoolForm(void);

	public:
		ProjectEditor* projEditorOwner();

	//Overridables__________________________________
	protected:
		virtual void resizeEvent(QResizeEvent* event);
		virtual void closeEvent(QCloseEvent *event);

	
	protected:
		void updateWindowTitle();

	private:
		EventPoolWorkspace* m_pWorkspace;
		static const QString cEventPoolTitle;
};

} //end of namespace DESpot
